Verificar en lote la existencia de claves PIX
curl --request POST \
--url https://spi.sandbox.lerian.net/api/v1/dict/keys/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keys": [
"<string>"
]
}
'import requests
url = "https://spi.sandbox.lerian.net/api/v1/dict/keys/check"
payload = { "keys": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keys: ['<string>']})
};
fetch('https://spi.sandbox.lerian.net/api/v1/dict/keys/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"hasEntry": true,
"key": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Verificar en lote la existencia de claves PIX
Sondea hasta 200 valores de clave PIX para verificar su existencia en una sola llamada, respaldado por el keys/check del DICT de BACEN (host dict-np). Devuelve un único resultado de solo existencia por cada clave enviada, en orden de envío. Requiere el endpoint dict-np; se devuelve un 503 cuando no está configurado.
POST
/
api
/
v1
/
dict
/
keys
/
check
Verificar en lote la existencia de claves PIX
Autorizaciones
JWT bearer token issued by the identity provider.
Cuerpo
application/json
Up to 200 PIX key values to probe for existence in one batch (backed by BACEN dict-np keys/check); response is existence-only
PIX key values to probe for existence (1..200 per batch).
Required array length:
1 - 200 elementsRespuesta
OK
One existence result per submitted key, in submission order
One existence result per submitted key, in submission order.
Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I

